Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security.providers.realmadapter
Interface RealmAdapterAuthorizerMBean

public interface RealmAdapterAuthorizerMBean
extends weblogic.management.commo.StandardInterface, AuthorizerMBean

The MBean for the Realm Adapter Authorizatio provider. This provider can only be configured in the Compatibility realm.

@author Copyright (c) 2001 BEA Systems, Inc. All Rights Reserved.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getDescription()` A short description of the Realm Adapter Authorization provider.
`java.lang.String` | `getProviderClassName()` The name of the Realm Adapter Authorization provider.
`java.lang.String` | `getVersion()` The version of the Realm Adapter Authorization provider.
`java.lang.Boolean` | `getWLSUserPrincipalAllowed()` This Flag Specifies whether we should honor WLSUserImpl Principals in the Subject during the Authorization.
`void` | `setWLSUserPrincipalAllowed(java.lang.Boolean newValue)` This Flag Specifies whether we should honor WLSUserImpl Principals in the Subject during the Authorization.

Methods inherited from interface weblogic.management.security.ProviderMBean
`getRealm, setRealm`

Method Detail

### getProviderClassName

    public java.lang.String getProviderClassName()

  The name of the Realm Adapter Authorization provider.

  Default Value: "weblogic.security.providers.realmadapter.AuthorizationProviderImpl"
  Legal NULL: true

### getDescription

    public java.lang.String getDescription()

  A short description of the Realm Adapter Authorization provider.

  Default Value: "Realm Adapter for Authorization"
  Legal NULL: true

### getVersion

    public java.lang.String getVersion()

  The version of the Realm Adapter Authorization provider.

  Default Value: "1.0"
  Legal NULL: true

### getWLSUserPrincipalAllowed

    public java.lang.Boolean getWLSUserPrincipalAllowed()

  This Flag Specifies whether we should honor WLSUserImpl Principals in the Subject during the Authorization.

  Default Value: new Boolean(false)
  Legal NULL: true

### setWLSUserPrincipalAllowed

    public void setWLSUserPrincipalAllowed(java.lang.Boolean newValue)
                                    throws javax.management.InvalidAttributeValueException

  This Flag Specifies whether we should honor WLSUserImpl Principals in the Subject during the Authorization.

  Default Value: new Boolean(false)
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute WLSUserPrincipalAllowed
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD